jpeg_writer.cpp File Reference

Implementation of the claw::graphic::jpeg::writer class. More...

`#include <claw/jpeg.hpp>`
`#include <claw/jpeg_error_manager.hpp>`
`#include <claw/exception.hpp>`
`#include <claw/assert.hpp>`

Go to the source code of this file.

## Functions

| claw__graphic__jpeg__destination_manager__init_destination (j_compress_ptr cinfo)
| Initialize the output stream.
| claw__graphic__jpeg__destination_manager__empty_output_buffer (j_compress_ptr cinfo)
| Write the content of the buffer in the file.
| claw__graphic__jpeg__destination_manager__term_destination (j_compress_ptr cinfo)
| Write the last pending bytes in the file.

## Detailed Description

Implementation of the claw::graphic::jpeg::writer class.

Author
  Julien Jorge

Definition in file jpeg_writer.cpp.

## Function Documentation

## claw__graphic__jpeg__destination_manager__empty_output_buffer()

claw__graphic__jpeg__destination_manager__empty_output_buffer | ( | j_compress_ptr | cinfo | ) |

Write the content of the buffer in the file.

Parameters

  cinfo | Informations about the compression.

Definition at line 53 of file jpeg_writer.cpp.

References claw__graphic__jpeg__destination_manager__empty_output_buffer(), CLAW_PRECOND, claw::graphic::jpeg::writer::destination_manager::flush(), and claw::graphic::jpeg::writer::destination_manager::pub.

Referenced by claw__graphic__jpeg__destination_manager__empty_output_buffer().

## claw__graphic__jpeg__destination_manager__init_destination()

claw__graphic__jpeg__destination_manager__init_destination | ( | j_compress_ptr | cinfo | ) |

Initialize the output stream.

Parameters

  cinfo | Informations about the compression.

Definition at line 42 of file jpeg_writer.cpp.

References claw__graphic__jpeg__destination_manager__init_destination().

Referenced by claw__graphic__jpeg__destination_manager__init_destination().

## claw__graphic__jpeg__destination_manager__term_destination()

claw__graphic__jpeg__destination_manager__term_destination | ( | j_compress_ptr | cinfo | ) |

Write the last pending bytes in the file.

Parameters

  cinfo | Informations about the compression.

Definition at line 72 of file jpeg_writer.cpp.

References claw__graphic__jpeg__destination_manager__term_destination(), CLAW_PRECOND, claw::graphic::jpeg::writer::destination_manager::pub, and claw::graphic::jpeg::writer::destination_manager::term().

Referenced by claw__graphic__jpeg__destination_manager__term_destination().